/*
 * Copyright 2011 E-Government Innovation Center (EGIZ)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package at.gv.zustellung.zusemsg.config;

import at.gv.util.config.EgovUtilConfiguration;
import at.gv.zustellung.zusemsg.wsdl.client.attachments.MailBody;

public interface Zuse2AppConfiguration {

	// moa-ss configuration
	String getZuse2AppMOASSServiceURL();
	String getZuse2AppMOASSKeyIdentifier();
	
	String getZuse2AppMOASPServiceURL();
	String getZuse2AppMOASPTrustProfile();
	
	EgovUtilConfiguration getZuseUtilConfiguration();
	
	// mail configuration
	String getZuse2AppMailHost();
	String getZuse2AppMailPort();
	String getZuse2AppMailSenderName();
	String getZuse2AppMailSenderMailAddress();
	String getZuse2AppMailSubject();
	
	 MailBody getZuse2AppMailBody();
	
}
